/**
 * ----------------------------------------------------------------
 * @Copyright   : License MIT 2022
 *
 * @Author      : Alexandre Caillot
 * @WebSite     : https://www.shiros.fr
 *
 * @File        : CVHeader.css
 * @Created_at  : 27/06/2022
 * @Update_at   : 28/06/2022
 * ----------------------------------------------------------------
 */

/**
# --------------------------------
# Component
*/

.cv-header {
    display: flex;
    flex-direction: row;

    padding: 0;

    border-radius: 5px 5px 0 0;
    border-color: var(--shiros-cv-element-header-border-color);
}

/**
# --------------------------------
# Structure
*/

.cv-header-left-information {
    display: flex;

    flex: 1 1 auto;
    flex-direction: column;

    padding: 10px 20px;

    align-items: flex-start;
}

.cv-header-left-information > *:nth-child(3n) {
    margin-top: 10px;
}

.cv-header-right-information {
    display: flex;

    flex: 1 1 auto;
    flex-direction: column;

    padding: 10px 20px;

    align-items: flex-end;
}
.cv-header-right-information > *:nth-child(3n) {
    margin-top: 20px;
}

/**
# --------------------------------
# Information
*/

.cv-header-information {
    display: flex;

    align-items: center;

    font-size: 15px;
    font-style: italic;
}

.cv-header-additional-information {
    margin-left: 5px;
    color: var(--shiros-cv-element-header-additional-information-color);
}


/**
# --------------------------------
# Link
*/

.cv-header-link {
    font-size: 12px;
    font-weight: bold;
}


/**
# --------------------------------
# Profile picture
*/

.cv-header-profile-picture {
    width: auto;
    height: 150px;

    border-radius: 0 5px 5px 0;
}

/**
# --------------------------------
# Me
*/

.cv-header-me {
    font-size: 20px;
    font-style: normal;
    font-weight: bold;
}

.cv-header-me-age {
    margin-left: 5px;
    color: var(--shiros-cv-element-header-me-age-color);
}

.cv-header-me-information {
    color: var(--shiros-cv-element-header-me-information-color);
}

/**
# --------------------------------
# Icon
*/

/deep/ .cv-header-icon-gitlab {
    display: flex;

    margin: 0 5px 0 0;
}

/deep/ .cv-header-icon-location {
    display: flex;
    width: 20px;

    margin: 0 0 0 10px;
}

/deep/ .cv-header-icon-contact {
    display: flex;

    margin: 0 0 0 10px;
}
